here is a piece of code that does the same thing
Option Explicit
Dim i As Integer
Dim mySel As Selection
Dim myPrt As Part
Dim myHB As HybridBody
Dim mySurfRef, myPointRef, myLineRef As Reference
Dim HS_Factory As HybridShapeFactory
Dim HS_Surf As...
Dim AbsCoord(8)
mySketch.GetAbsoluteAxisData AbsCoord
where
AbsCoord(0) -> Origin X
AbsCoord(1) -> Origin Y
AbsCoord(2) -> Origin Z
AbsCoord(3) -> H Axis X
AbsCoord(4) -> H Axis Y
AbsCoord(5) -> H Axis Z
AbsCoord(6) -> V Axis X
AbsCoord(7) -> V Axis Y
AbsCoord(8) -> V Axis Z
With scripts is not impossible. You need to create a custom parameter on your parts/Products. You need one macro for the assy to make the numbering and one for drawing to read the parameter from the 3d
takes about 3-4 min to compute a 600mm curve, but is better than nothing
here are 2 solutions received on LinkedIn
Chris
Chris Holtorf
Retired Boeing Technical Designer
Hi,
If you have access to the Product Engineering Optimizer workbench try the following:
1. Put a point on your curve...
Hi,
so....one solution is
I project the curve in XY and YZ planes then for each projection i create 3 points on curve with 0.1mm distance between them. I create a circle through these points and make the difference between X or Y(depending on the projection) of the mid point and circle center...
Can any one help me in getting the inflection points for a 3D curve without using Porcupine Curvature Analysis? I need a way to get them using other commands or even VBA (i will develop the algorithm any way for VBA)